complexType "TradingEventSummary"

Namespace: | http://www.fpml.org/FpML-5/recordkeeping
Content: | complex, 6 elements
Defined: | globally in fpml-business-events-5-5.xsd; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...>
Content: | eventIdentifier*, eventType, agreementDate?, executionDateTime?, effectiveDate?, payment?
</...>

Content Model Elements (6):

  agreementDate,
  effectiveDate (defined in AgreementAndEffectiveDates.model group),
  eventIdentifier (in tradingEvent),
  eventType,
  executionDateTime (defined in AgreementAndEffectiveDates.model group),
  payment (in tradingEvent)

All Direct / Indirect Based Elements (1):

  tradingEvent

Known Usage Locations

- As direct type of elements (1):
  tradingEvent

Annotation
A type that records a short form event history of a trade.
XML Source (w/o annotations (2); see within schema source)

<xsd:complexType name="TradingEventSummary"> <xsd:sequence> <xsd:element maxOccurs="unbounded" minOccurs="0" name="eventIdentifier" type="BusinessEventIdentifier"/> <xsd:element name="eventType" type="EventType"/> <xsd:group ref="AgreementAndEffectiveDates.model"/> <xsd:element minOccurs="0" name="payment" type="NonNegativePayment"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 3/6)
eventIdentifier

  Type: | BusinessEventIdentifier, complex content

  XML Source (see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="eventIdentifier" type="BusinessEventIdentifier"/>

eventType

  Type: | EventType, simple content

  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (see within schema source)

  <xsd:element name="eventType" type="EventType"/>

payment

  Type: | NonNegativePayment, complex content

  A fee which compensates one of the parties for taking on a position that is off market.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="payment" type="NonNegativePayment"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.